Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class DataObjectMatchTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.DataObjectMatchTranslator

    public class DataObjectMatchTranslator

extends Object

Field Summary
`protected Map<String,DbAttribute>` | `attributes`
`protected Expression` | `expression`
`protected String` | `joinSplitAlias`
`protected String` | `operation`
`protected DbRelationship` | `relationship`
`protected Map<String,Object>` | `values`

Constructor Summary
`DataObjectMatchTranslator()`

Method Summary
`DbAttribute` | `getAttribute(String key)`
`Expression` | `getExpression()`
`String` | `getJoinSplitAlias()`
`String` | `getOperation()`
`DbRelationship` | `getRelationship()`
`Object` | `getValue(String key)`
`Iterator<String>` | `keys()`
`void` | `reset()`
`void` | `setDataObject(Persistent obj)`
`void` | `setExpression(Expression expression)`
`void` | `setObjectId(ObjectId id)`
`void` | `setOperation(String operation)`
`void` | `setRelationship(DbRelationship rel, String joinSplitAlias)` Initializes itself to do translation of the match ending with a DbRelationship.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected Map<String,DbAttribute> attributes

### values

    protected Map<String,Object> values

### operation

    protected String operation

### expression

    protected Expression expression

### relationship

    protected DbRelationship relationship

### joinSplitAlias

    protected String joinSplitAlias

Constructor Detail

### DataObjectMatchTranslator

    public DataObjectMatchTranslator()

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### reset

    public void reset()

### setRelationship

    public void setRelationship(DbRelationship rel,
                                String joinSplitAlias)

  Initializes itself to do translation of the match ending with a DbRelationship.

  Since:
    3.0

### setDataObject

    public void setDataObject(Persistent obj)

### setObjectId

    public void setObjectId(ObjectId id)

  Since:
    1.2

### keys

    public Iterator<String> keys()

### getJoinSplitAlias

    public String getJoinSplitAlias()

  Since:
    3.0

### getRelationship

    public DbRelationship getRelationship()

### getAttribute

    public DbAttribute getAttribute(String key)

### getValue

    public Object getValue(String key)

### setOperation

    public void setOperation(String operation)

### getOperation

    public String getOperation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.